<?php // counter.php  this file is in the public domain

// modify these values accordingly

$counterdb_prefix	= '';
$counterdb_name		= 'counterdb';

$counter_format_string	= 'Besucher: %1$s online: %2$s';

$graphical		= true;
$digit_prefix		= 'counter-digits/';
$digit_suffix		= '.gif';
$digit_attr		=
'alt="Counter" width="12" height="14" style="margin: 2px 0px; padding: 0px; vertical-align: middle;"';

$digit_format_string	=
	"<img {$digit_attr} src=\"{$digit_prefix}%s{$digit_suffix}\">";

$entry_livetime		= 10*60;	// in secs


require 'count-clever.php';


function get_value_string($val)
{
	global $graphical, $digit_format_string;
	return $graphical ?
		make_graphical((string)$val, $digit_format_string) :
		(string)$val;
}


$counterval = process_counter(
	$counterdb_prefix.$counterdb_name, $entry_livetime, true);
if(isset($counterval))
{
	printf($counter_format_string,
		get_value_string($counterval['visits']),
		get_value_string($counterval['online']));
}
else
{
	print 'Error';
}


?>