<table><tr><th> </th><th>Besucher</th><th>online</th></tr>

<?php // multicounter.php  this file is in the public domain

// $counterdb should be given as arg for the current counterdb

// modify these values accordingly

$counterdb_prefix	= '';

$master_counterdb_name	= 'counterdb';
$master_counter_title	= 'insgesamt';
$categories		= array(
	'category1-counterdb' => 'Kategorie 1',
	'category2-counterdb' => 'Kategorie 2');

$graphical		= true;
$digit_prefix		= 'counter-digits/';
$digit_suffix		= '.gif';
$digit_attr		=
'alt="Counter" width="12" height="14" style="margin: 2px 0px; padding: 0px; vertical-align: middle;"';

$counter_format_string	=
'<tr><th>%1$s</th><td align="center">%2$s</td><td align="center">%3$s</td></tr>';
$digit_format_string	=
	"<img {$digit_attr} src=\"{$digit_prefix}%s{$digit_suffix}\">";

$entry_livetime		= 10*60;	// in secs


require 'count-clever.php';


function get_value_string($val)
{
	global $graphical, $digit_format_string;
	return $graphical ?
		make_graphical((string)$val, $digit_format_string) :
		(string)$val;
}


function print_counter($db, $title, $isvisit)
{
	global $counterdb_prefix, $counter_format_string, $entry_livetime;

	$counterval = process_counter(
		$counterdb_prefix.$db, $entry_livetime, $isvisit);
	printf($counter_format_string, $title,
		get_value_string($counterval['visits']),
		get_value_string($counterval['online']));
}

if($master_counterdb_name)
	print_counter($master_counterdb_name, $master_counter_title, true);
foreach($categories as $db => $title)
	print_counter($db, $title, $db==$counterdb);


?>

</table>